;##################################################################
;
;   TesBwan for the TI-86 - permanent variables
;
;   Programmed by Patrick Davidson (pad@calc.org)
;        
;   This program is in the public domain.  There is no warranty.
;
;   This file was last updated August 23, 2002.
;
;##################################################################

saved_flag:     .db     0
screen_x:       .db     0       ; pixels into level of left edge of screen
paddle_x:       .db     0       ; pixels into level of left edge of paddle
ball_x:         .dw     0       ; coordinates shifted left 8 places
ball_y:         .dw     0
ball_angle:     .db     0       ; 0 = 25deg (from vertical), 9 = 65deg
ball_xdir:      .db     0       ; 0 = left, nonzero = right
ball_ydir:      .db     0       ; 0 = up, nonzero = down
ball_type:      .db     0       ; 0 = normal, 1 = hold, 2 = destroyed
ball_speed:     .db     0
score:          .dw     0
prev_coords:    .dw     0       ; Previous pixel X/Y
level:          .dw     0
lives:          .dw     0
level_pointer:  .dw     0
map_save:       .ds     55
game_speed:     .db     0       ; ball speed at round start
game_timer:     .dw     0       ; count to ball speed-up
bonus_type:     .db     0
bonus_y:        .db     0
bonus_x:        .db     0
lives_changed:  .db     0       ; set if lives needs to be re-displayed
long_paddle:    .db     0       ; nonzero if paddle elongated
